#
# spec file for package gnu-efi (Version 3.0e)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           gnu-efi
ExclusiveArch:  ia64 %ix86 x86_64
Summary:        Library for EFI Applications
Version:        3.0e
Release:        20.5.29
Group:          Development/Libraries/Other
AutoReqProv:    on
License:        BSD 3-Clause; GPL v2 or later
Url:            http://sourceforge.net/projects/gnu-efi
Source:         http://downloads.sourceforge.net/gnu-efi/gnu-efi-3.0e.tar.gz
Source1:        rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  binutils219 kernel-source
#!BuildIgnore:  binutils

%description
Library for EFI applications.



Authors:
--------
    Johannes Erdfelt <jerdfelt@valinux.com>
    David Mosberger <davidm@hpl.hp.com>
    Stephane Eranian <eranian@hpl.hp.com>

%prep
%setup -q -n gnu-efi-3.0

%build
#CFLAGS="-fpic -fshort-wchar -fno-strict-aliasing -funsigned-char -fno-stack-protector"
make LINUX_HEADERS=/usr/src/linux

%install
make install INSTALLROOT=$RPM_BUILD_ROOT%{_prefix}
[ "%{_lib}" == "lib" ] ||
  mv $RPM_BUILD_ROOT/usr/lib $RPM_BUILD_ROOT/usr/%{_lib}
%if 0
mkdir $RPM_BUILD_ROOT%{_prefix}/%{_lib}/%{name}
cp -p apps/*.efi $RPM_BUILD_ROOT%{_prefix}/%{_lib}/%{name}
%endif

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README.*
%{_prefix}/include/efi
%{_prefix}/%{_lib}/crt0-efi-*.o
%{_prefix}/%{_lib}/elf_*_efi.lds
%{_prefix}/%{_lib}/libefi.a
%{_prefix}/%{_lib}/libgnuefi.a
%if 0
%{_prefix}/%{_lib}/%{name}
%endif

%changelog
* Thu May 28 2009 ro@suse.de
- use binutils219 on SLE10 SP3
* Thu Apr 30 2009 ro@suse.de
- sle10sp3 submit for fate#306032
* Fri Oct 17 2008 olh@suse.de
- add ExclusiveArch ia64 x86 x86_64
* Tue Jul 29 2008 rw@suse.de
- Update to gnu-efi 3.0e for uEFI/x86_64.  (fate#301882)
* Sun May 27 2007 schwab@suse.de
- Remove completely pointless devel package.
- Add rpmlintrc instead.
* Sat May 26 2007 ro@suse.de
- Split off devel package.
* Fri Feb 23 2007 schwab@suse.de
- Disable stack protector.
* Fri Jun 23 2006 rw@suse.de
- Update to gnu-efi 3.0c to fix building on IA-32.
* Wed Jan 25 2006 mls@suse.de
- Convert neededforbuild to BuildRequires
* Fri Dec  9 2005 rw@suse.de
- Allow building on IA-32.
* Tue Nov 29 2005 rw@suse.de
- Update to gnu-efi 3.0b-041222.
* Tue Aug  3 2004 schwab@suse.de
- Discard unwind sections.
* Sat Apr 17 2004 schwab@suse.de
- Pacify autobuild.
* Fri Sep 26 2003 schwab@suse.de
- Fix linker script to include all data sections.
* Fri Jul 25 2003 schwab@suse.de
- Revert last change, was actually a binutils bug.
* Tue Apr  8 2003 schwab@suse.de
- Fix @gprel reference in crt object.
* Tue Feb 26 2002 schwab@suse.de
- Update to gnu-efi 3.0a.
* Sat Nov 24 2001 schwab@suse.de
- Add .rodata.* to linker script.
* Wed Jul 18 2001 schwab@suse.de
- Update to gnu-efi 3.0.
- Split off elilo.
* Tue May 22 2001 schwab@suse.de
- Update to gnu-efi 2.5.
* Fri May 11 2001 schwab@suse.de
- Add initrd fix.
- Reduce timeout.
* Thu Apr 26 2001 schwab@suse.de
- neededforbuild lx_ia64 -> kernel-source.
* Fri Apr  6 2001 schwab@suse.de
- Update to gnu-efi 2.0.
- Package renamed to gnu-efi.
* Tue Mar 13 2001 schwab@suse.de
- Install some documentation.
- Add unwind patch from David Mosberger.
* Wed Feb 14 2001 schwab@suse.de
- Add lx_ia64 to neededforbuild.
- Get kernel headers from /usr/src/linux.
* Sun Nov 26 2000 schwab@suse.de
- Preserve .sdata section.
* Mon Nov  6 2000 schwab@suse.de
- Update to gnu-efi 1.1.
- Add `initrd=initrd' to sample eli.cfg.
* Fri Oct 13 2000 schwab@suse.de
- Update to gnu-efi 1.0.
* Mon Sep 11 2000 schwab@suse.de
- Mark startup.nsh as %%config(noreplace).
* Thu Aug 17 2000 schwab@suse.de
- Fix initrd support.
* Tue Aug  8 2000 schwab@suse.de
- Update to gnu-efi 0.9.
- Install lilo.efi in /boot.
* Mon Jul 17 2000 schwab@suse.de
- Add argv bug fix.
* Fri Jun 30 2000 schwab@suse.de
- Update to 0.4.0.
- Fix uninitialized variable.
* Fri Jun 16 2000 @suse.de
- Update from CVS.
* Mon Jun  5 2000 schwab@suse.de
- Add initrd support.
* Wed May 31 2000 schwab@suse.de
- Fix allocation bug.
* Wed May 17 2000 schwab@suse.de
- Add eli.cfg and startup.nsh to package.
* Mon May 15 2000 schwab@suse.de
- Fix bug in AML parser.
- Udate to gnu-efi 0.8.
* Tue Mar  7 2000 schwab@suse.de
- Package created.
